/*
    Langage   : C pour Clipper 
    Auteur    : Philippe Bonnardel
    Version   : 1.0                   * * * FREEWARE * * * 
    Address   :                       Philippe BONNARDEL
              :                       27, Bd de VERDUN
              :                       92400 COURBEVOIE - FRANCE
    Date      : 21/12/94
    Objet     : Fonction permettant de lire et de retourner le nom des
              : sous-rpertoires du chemin passs en paramtre.
    Paramtres: 1 = chemin du rpertoire
              : 2 = Tableau rcuprant le nom des sous-rpertoires
    Return    : le nombre de sous-rpertoires
    Compil.   : BCC -ml -c dtree_c.c
    Lien      : avec la fonction clipper 'dirtree()'
    Remarque  : voir son utilisation dans la fonction 'dirtree()'
*/

#include "interne.h"

CLIPPER C_DIR (void)
{   struct find_t dir;
    int nCount = 0;
    unsigned short lTab = ISARRAY(2);
    if (_f_first(_parc(1), &dir, _A_SUBDIR)) {
        do  {
            if (dir.attrib == _A_SUBDIR && dir.name[0] != '.')  {
                nCount++;
                if (lTab)  _storc(dir.name, 2, nCount);
             }
         } while (_f_next(&dir));
     }
    _retni (nCount);
}
